<div class="container">
  <div class="row">
    <div class="col-sm-12">
      <h1>Campaign Details</h1>
    </div>
    <div class="col-sm-8">
      <div class="col-sm-6">
         <div class="panel panel-info">
           <div class="panel-heading">Minimum Fund</div>
           <div class="panel-body">Minimum Fund Required For this Campaign: <span class="badge">{{ minimumFund }}</span></div>
         </div>
      </div>
      <div class="col-sm-6">
        <div class="panel panel-info">
          <div class="panel-heading">Available Balance</div>
          <div class="panel-body">Balance Amount Received: <span class="badge">{{ balance }}</span></div>
        </div>
      </div>
      <div class="col-sm-6">
        <div class="panel panel-info">
          <div class="panel-heading">Requests Raised</div>
          <div class="panel-body">Requests Raised For this Campaign: <span class="badge">{{ requests }}</span></div>
        </div>
      </div>
      <div class="col-sm-6">
        <div class="panel panel-info">
          <div class="panel-heading">Approvers Count</div>
          <div class="panel-body">Approvers Count For this Campaign: <span class="badge">{{ approversCount }}</span></div>
        </div>
      </div>
      <div class="col-sm-6">
        <a class="btn btn-primary" [routerLink]="['/campaign/requests', campaignAddress]">View Requests</a>  
      </div>
    </div>
    <div class="col-sm-4">
      <!-- <div class="panel panel-default"> -->
          <form [formGroup]="contributeFrm" (ngSubmit)="onContribute()">
              <div class="form-group">
                <h3><span class="label label-info">Enter Amount to Contribute</span></h3>
                <input type="text" class="form-control" formControlName="contibuteAmount" placeholder="Amount To Contribute...." autofocus>
                <!-- <input type="text" class="form-control" formControlName="name" placeholder="Enter the minimum value...." autofocus> -->
              </div>
          
              <div class="text-right">
                <!-- <button type="button" (click)="createCampaignModalRef.hide()" class="btn btn-default">Cancel</button> -->
                <button type="submit" [disabled]="contributeFrm.invalid" class="btn btn-success">
                    <i *ngIf="isContribute" class="fa fa-refresh fa-spin fa-fw"></i>
                    {{isContribute ? 'processing.....' : 'Contribute'}}
                </button>
              </div>
          
            </form>
      <!-- </div> -->
    </div>
  </div>
</div>